GitLab

  • Hej,
    sitz nun seit mehreren Stunden an einem Problem, versuche Gitlab zu installieren leider gibt es da ein Problem wegen der ARM-Architektur.
    Also ich benutze für meinen Server ausnahmsweise einen Odroid-U3 mit Ubuntu 14.04.


    Habe mich erst an diese Anleitung gehalten:


    http://www.howtoforge.com/how-…-gitlabhq-on-ubuntu-14.04



    jedoch hat der letzte Schritt nicht funktioniert


    weiter habe ich folgenden Befehl versucht(https://github.com/gitlabhq/gi…c/install/installation.md :(


    Code
    sudo -u git -H bundle install --deployment --without development test postgres aws


    Und dabei diese Fehlermeldung erhalten, wenn ich das in anderen Foren richtig verstanden habe wird von GitLab die Arm architektur offziell nicht unterstützt...


    Code
    An error occurred while installing libv8 (3.11.8.17), and Bundler cannot continue.
    Make sure that `gem install libv8 -v '3.11.8.17'` succeeds before bundling.


    bin dann mit der Zeit auf diese Seite gestoßen:


    http://forum.odroid.com/viewtopic.php?f=77&t=4813


    Die beschreibt eine Lösung wie man GitLab auf dem Odroid und dem Raspberry zum laufen bekommt.
    Nachdem ich in der Gemfile und Gemfile.lock die drei "therubyracer " ausgeklammert habe bekomme ich folgende fehlermeldung wenn ich den folgenden befehl eingebe (wie in der Einleitung angegeben):


    Code
    sudo -u git -H bundle install  -j4 --deployment --without development test postgres aws


    Code
    You are trying to install in deployment mode after changing
    your Gemfile. Run `bundle install` elsewhere and add the
    updated Gemfile.lock to version control.
    
    
    You have deleted from the Gemfile:
    * #therubyracer


    Ich bin mit meinem Latein am Ende... kann mir da jemand bitte weiter helfen????

  • Also ich hab es gelöst indem ich die Zeilen nicht auskommentiert habe sondern sie wirklich gelöscht habe. :D


    Jedoch komme ich wieder nicht weiter... also dass es so aufwändig wird hätte ich nicht gedacht.
    Nach der Anleitung muss ich jetzt die Teile aus dem Programm rausnehmen die auf das fehlenden gems zugreifen möchten.
    Habe 2 Probleme die ich auch auf der Seite gepostet habe.


    1)
    Die Eingabe von:


    Code
    sudo -u git git clone https://github.com/rgrove/sanitize.git


    führt zur Warnung:

    Code
    Cloning into 'sanitize'...
    remote: Counting objects: 1569, done.
    remote: Total 1569 (delta 0), reused 0 (delta 0)
    Receiving objects: 100% (1569/1569), 1.65 MiB | 610.00 KiB/s, done.
    Resolving deltas: 100% (747/747), done.
    Checking connectivity... done.
    warning: unable to access '/home/odroid/.config/git/attributes': Permission denied


    Wieso??


    und das zweite die Version hat sich verändert und in dem Ordner

    Code
    /home/git/gitlab/vendor/bundle/ruby/2.1.0/gems


    kann ich nicht wie in der Anleitung steht


    Code
    sudo -u git vim gollum-lib-3.0.0/lib/gollum-lib.rb


    ausführen.


    Gibt es eine Methode wie ich nach gollum-lib.rb in diesem Ordner zu suchen kann?